## org.eclipse.datatools.connectivity.ui.wizards
Interface IProfileWizardProvider

All Known Subinterfaces:
  IWizardCategoryProvider

public interface IProfileWizardProvider

Author:
  shongxum

Method Summary
`Image` `getCachedIcon()` In order to reduce resources' leak
`java.lang.String` `getCategory()`
`java.lang.String` `getDescription()`
`ImageDescriptor` `getIcon()`
`java.lang.String` `getId()`
`java.lang.String` `getName()`
`IWizard` `getWizard()` Note: do not cache IWizard!!!

Method Detail

### getIcon

    public ImageDescriptor getIcon()

  Returns:
    Returns the icon.

### getCachedIcon

    public Image getCachedIcon()

  In order to reduce resources' leak

  Returns:
    Image

### getId

    public java.lang.String getId()

  Returns:
    Returns the id.

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### getDescription

    public java.lang.String getDescription()

  Returns:
    Returns the description

### getCategory

    public java.lang.String getCategory()

  Returns:
    Returns the category id

### getWizard

    public IWizard getWizard()

  Note: do not cache IWizard!!!

  Returns:
    Returns the wizard.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.